Subject: RE: The install dir
From: Patrick Nelson <[email-masked]>
Cc: [email-masked]
Date: Wed, 12 Mar 2003 09:05:55 -0800

Robert Collins wrote:
----------------->>>>
On Wed, 2003-03-12 at 22:29, Thorsten Kampe wrote:
> * Robert Collins (03-03-12 06:18 +0100)
> > On Wed, 2003-03-12 at 15:46, Patrick Nelson wrote:
> >>> Thorsten Kampe wrote:
> >> ----------------->>>>
> >> I don't have the slightest idea what you are talking about The setup 
> >> directory is *not* temporary. Neither the packages are deleted after 
> >> installation nor the older ones after updating.
> >> ----------------->>>>
> >> 
> >> So the older ones are maintained and that setup directory is needed as
is...
> >> OK!  Sounds like you do have the slightest idea then.  NNTR
> > 
> > However, Thorsten is wrong.
> 
> Well, to be exact: no. Patrick Nelson has a misleading habit of 
> quoting.

Ah, ok. I haven't followed the thread closely.

...
> Maybe you as a "native speaker" can tell what RC meant by this:
> | do you get the structure of it?  I mean setup wont recognize that it has
a
> | newer version in a another of its temp directories? 

Who is RC there? Not me.

Guessing at the meaning of the question, setup depends on the .ini files
for versioning information when installing from the cache alone. If *no*
ini files are present, it will examine all the files that look like
packages and try to guess the pacakge name and version.

So, having 7 copies on python on a CD will work fine, and they will all
be selectable (one at a time :}) from setup.
----------------->>>>

Thanks again for clearing it up.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/